| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::AbstractMarkerTiler::Tile Class Reference
Inheritance diagram for Digikam::AbstractMarkerTiler::Tile:

## Public Member Functions
Tile * | addChild (const int linearIndex, Tile *tilePointer)
bool | childrenEmpty () const
void | deleteChild (Tile *const childTile, const int knownLinearIndex=-1)
| Sets the pointer to a child tile to zero and deletes the child.
Tile * | getChild (const int linearIndex)
int | nextNonEmptyIndex (int linearIndex) const
| returns the next non empty child index or -1.